POST api/tenantreferencing/addapplication/{caseId}/{tenancyRoleId}/{personId}/{productId}
Creates a tenancy referencing application for a case using the details supplied Processes this tenant referencing API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| caseId |
The id of the case to add the Application to. |
string |
Required |
| tenancyRoleId |
The role id of the tenancy the case is linked to. |
integer |
Required |
| personId |
The id of the individual the application is for. |
integer |
Required |
| productId |
The id of the product the client has chosen. |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
HomeLetApplicationDataContract
HomeLetApplicationDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| applicationId |
The unique identifier of this resource. |
string |
None. |
| productId |
The unique identifier of the related product resource. |
integer |
None. |
| title |
The title value. |
string |
None. |
| firstName |
The first name value. |
string |
None. |
| lastName |
The last name value. |
string |
None. |
|
The email value. |
string |
None. |
|
| birthDate |
The birth date value. |
string |
None. |
| employmentStatus |
The employment status value. |
integer |
None. |
| residentialStatus |
The residential status value. |
integer |
None. |
| grossIncome |
The gross income value. |
decimal number |
None. |
| hasCCJ |
Indicates whether this item has ccj. |
boolean |
None. |
| bankAccount |
The bank account value. |
HomeLetBankAccountDataContract |
None. |
| isRentPaidInAdvance |
Indicates whether this item is rent paid in advance. |
boolean |
None. |
| rentShare |
The rent share value. |
decimal number |
None. |
| completionMethod |
The completion method value. |
integer |
None. |
| signaturePreference |
The signature preference value. |
integer |
None. |
| canEmploymentChange |
Indicates whether this item can employment change. |
boolean |
None. |
| canContactApplicantByPhoneAndPost |
Indicates whether this item can contact applicant by phone and post. |
boolean |
None. |
| canContactApplicantBySMSAndEmail |
Indicates whether this item can contact applicant by sms and email. |
boolean |
None. |
| channel |
The channel value. |
string |
None. |
Response Formats
application/json, text/json
{
"applicationId": "sample string 1",
"productId": 2,
"title": "sample string 3",
"firstName": "sample string 4",
"lastName": "sample string 5",
"email": "sample string 6",
"birthDate": "sample string 7",
"employmentStatus": 8,
"residentialStatus": 9,
"grossIncome": 10.1,
"hasCCJ": true,
"bankAccount": {
"accountNumber": "sample string 1",
"accountSortcode": "sample string 2"
},
"isRentPaidInAdvance": true,
"rentShare": 13.1,
"completionMethod": 14,
"signaturePreference": 15,
"canEmploymentChange": true,
"canContactApplicantByPhoneAndPost": true,
"canContactApplicantBySMSAndEmail": true,
"channel": "sample string 19"
}